
From: Adam Belay <ambx1@neo.rr.com>

On Thu, Nov 20, 2003 at 04:06:01PM -0800, Andrew Morton wrote:
> Lawrence Walton <lawrence@the-penguin.otak.com> wrote:
> >
> > > Looks like it died inside the machine's BIOS.
> > >
> > > Please try reverting the three pnp patches:
> > >
> > > ftp://ftp.kernel.org/pub/linux/kernel/people/akpm/patches/2.6/2.6.0-test9/2.6.0-test9-mm4/broken-out/pnp-fix-3.patch
> > > ftp://ftp.kernel.org/pub/linux/kernel/people/akpm/patches/2.6/2.6.0-test9/2.6.0-test9-mm4/broken-out/pnp-fix-2.patch
> > > ftp://ftp.kernel.org/pub/linux/kernel/people/akpm/patches/2.6/2.6.0-test9/2.6.0-test9-mm4/broken-out/pnp-fix-1.patch
> > >
> > > and let us know?
> > >
> > I reverted these and it works great!
> >
> >
> >
> > > - Upgrade the bios
> > The bios is the latest so updating it would not of been a option.
> >
>
> OK, thanks.   Adam, those pnp patches are suspect...

Hmm, well it couldn't be patch 3 because it relates to isapnp.  Patch
1 is the only patch that changes the PnPBIOS calls, and it has been
known to fix problems for some systems.  Also it does what the actual
specifications recommend.  You may just have a buggy system that's
triggered by the static resource calls.  If so, we could use dynamic
instead resources when the DMI scan matches with this system.  Patch
2 provides an option to disable the PnPBIOS proc interface, but it
should not affect PnPBIOS calls.

Lawrence, could you please test this again, only this time excluding
patch 1 and no others.  If that doesn't work try excluding patch 2.

Thanks,
Adam

P.S.

Andrew, could you please review this patch for your tree.

# --------------------------------------------
# 03/11/15	ambx1@neo.rr.com	1.1447
# [PnP] reserve resources specified by the PnPBIOS properly
#
# A bug prevents the PnP layer from reserving some of the resources
# specified by the PnPBIOS.  As a result some systems will have
# unpredicable (random crashes etc.) problems because of resource
# conflicts, especially when PCMCIA support is enabled.  This patch
# fixes the problem by ensuring that the proper resource data is
# reserved.
# --------------------------------------------
#



 drivers/pnp/system.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/pnp/system.c~pnp-fix-4 drivers/pnp/system.c
--- 25/drivers/pnp/system.c~pnp-fix-4	2003-11-20 18:33:10.000000000 -0800
+++ 25-akpm/drivers/pnp/system.c	2003-11-20 18:33:10.000000000 -0800
@@ -54,7 +54,7 @@ static void __init reserve_resources_of_
 	int i;
 
 	for (i=0;i<PNP_MAX_PORT;i++) {
-		if (pnp_port_valid(dev, i))
+		if (!pnp_port_valid(dev, i))
 			/* end of resources */
 			continue;
 		if (pnp_port_start(dev, i) == 0)

_
